Debian Bug report logs - #606268
Network interface used for installation is configured as unmanaged by NM

version graph

Package: network-manager; Maintainer for network-manager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager is src:network-manager.

Reported by: Joey Hess <joeyh@debian.org>

Date: Tue, 7 Dec 2010 22:24:01 UTC

Severity: serious

Tags: d-i, patch, squeeze-ignore

Merged with 609072, 611281, 617906, 682608

Found in versions network-manager/0.6.6-3, network-manager/0.8.1-6, network-manager/0.9.4.0-3

Fixed in version network-manager/0.9.4.0-9

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hertzog@debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 22:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to hertzog@debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 22:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: now ignores interfaces configured by d-i
Date: Tue, 7 Dec 2010 18:21:11 -0400
[Message part 1 (text/plain, inline)]
Package: network-manager
Version: 0.8.1-6
Severity: serious
Tags: d-i

On upgrading to this version network manager stopped managing
my wireless interface and my laptop's network was taken down.

/etc/network/interfaces contains a standard stanza as setup by d-i
for a wireless interface:

# The primary network interface
allow-hotplug wlan0
iface wlan0 inet dhcp
        # wireless-* options are implemented by the wireless-tools package
        wireless-mode managed
	wireless-essid any

/etc/NetworkManager/NetworkManager.conf contained managed=false. Setting
managed=true works around the problem.

Unfortunatly the /etc/network/interfaces munger introduced to fix
#530024 was not a sufficient fix. It doesn't munge the above stanza at all
when I run it by hand, due to the wireless-mode and wireless-essid lines.

So, bug #569215 has basically been all that has been keeping wireless
and some other networks managed by network-manager on newly installed
and upgraded systems, for the past 6+ months..

One approach would be for for /usr/lib/NetworkManager/ifblacklist_migrate.sh
to convert stanzas containing any of these lines which d-i can include:

	wireless-mode managed
	wireless-essid *
	wireless-key1 *
	hostname *

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager depends on:
ii  adduser                      3.112+nmu2  add and remove users and groups
ii  dbus                         1.2.24-3    simple interprocess messaging syst
ii  isc-dhcp-client              4.1.1-P1-15 ISC DHCP client
ii  libc6                        2.11.2-7    Embedded GNU C Library: Shared lib
ii  libdbus-1-3                  1.2.24-3    simple interprocess messaging syst
ii  libdbus-glib-1-2             0.88-2      simple interprocess messaging syst
ii  libgcrypt11                  1.4.5-2     LGPL Crypto library - runtime libr
ii  libglib2.0-0                 2.24.2-1    The GLib library of C routines
ii  libgnutls26                  2.8.6-1     the GNU TLS library - runtime libr
ii  libgudev-1.0-0               164-2       GObject-based wrapper library for 
ii  libnl1                       1.1-6       library for dealing with netlink s
ii  libnm-glib2                  0.8.1-6     network management framework (GLib
ii  libnm-util1                  0.8.1-6     network management framework (shar
ii  libpolkit-gobject-1-0        0.96-4      PolicyKit Authorization API
ii  libuuid1                     2.17.2-3.3  Universally Unique ID library
ii  lsb-base                     3.2-26      Linux Standard Base 3.2 init scrip
ii  udev                         164-2       /dev/ and hotplug management daemo
ii  wpasupplicant                0.6.10-2.1  client support for WPA and WPA2 (I

Versions of packages network-manager recommends:
ii  dns 2.55-2+b1                            A small caching DNS proxy and DHCP
ii  ipt 1.4.10-1                             administration tools for packet fi
ii  mod 0.4+git.20100624t180933.6e79d15-1+b1 D-Bus service for managing modems
ii  pol 0.96-4                               framework for managing administrat
ii  ppp 2.4.5-4                              Point-to-Point Protocol (PPP) - da

Versions of packages network-manager suggests:
ii  avahi-autoipd                 0.6.27-3   Avahi IPv4LL network address confi

-- Configuration Files:
/etc/NetworkManager/NetworkManager.conf changed [not included]

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 22:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>, 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Tue, 07 Dec 2010 23:44:30 +0100
[Message part 1 (text/plain, inline)]
On 07.12.2010 23:21, Joey Hess wrote:
> Package: network-manager
> Version: 0.8.1-6
> Severity: serious
> Tags: d-i
> 
> On upgrading to this version network manager stopped managing
> my wireless interface and my laptop's network was taken down.

Upgrading from which version?

> /etc/network/interfaces contains a standard stanza as setup by d-i
> for a wireless interface:
> 
> # The primary network interface
> allow-hotplug wlan0
> iface wlan0 inet dhcp
>         # wireless-* options are implemented by the wireless-tools package
>         wireless-mode managed
> 	wireless-essid any
> 
> /etc/NetworkManager/NetworkManager.conf contained managed=false. Setting
> managed=true works around the problem.
> 
> Unfortunatly the /etc/network/interfaces munger introduced to fix
> #530024 was not a sufficient fix. It doesn't munge the above stanza at all
> when I run it by hand, due to the wireless-mode and wireless-essid lines.
> 
> So, bug #569215 has basically been all that has been keeping wireless
> and some other networks managed by network-manager on newly installed
> and upgraded systems, for the past 6+ months..

I think you will agree though that if you have a configuration like yours for
wlan0 in /etc/network/interfaces and managed=false, then network-manager should
not manage it? The previous behaviour was simply a bug.

I also don't understand why you say that the network is taken down.
If the device is being marked unmanaged, NM should not touch it at all and as
you configured the interface in /e/n/i it should be brought up by ifupdown
during boot.

Could you please clarify what exactly happened? Was this only temporary
immediately after the upgrade? Is the problem reproducible after a upgrade?

> 
> One approach would be for for /usr/lib/NetworkManager/ifblacklist_migrate.sh
> to convert stanzas containing any of these lines which d-i can include:
> 
> 	wireless-mode managed
> 	wireless-essid *
> 	wireless-key1 *
> 	hostname *

Are you suggesting to create a keyfile connection based on the configuration
from /etc/network/interfaces?

Currently we don't do any conversion at all. We simply comment out any dhcp
iface configuration without any additional option.

If you install a new system using d-i and a /e/n/i configuration like your's is
created, the interface will be managed by ifupdown and not network-manager.

Or are you suggesting that NM still tries to take over the interface even if is
configured in /e/n/i?

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 23:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>, 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Tue, 07 Dec 2010 23:59:17 +0100
[Message part 1 (text/plain, inline)]
On 07.12.2010 23:44, Michael Biebl wrote:

> Could you please clarify what exactly happened? Was this only temporary
> immediately after the upgrade? Is the problem reproducible after a upgrade?

Reproducible after a reboot, I meant.

>> One approach would be for for /usr/lib/NetworkManager/ifblacklist_migrate.sh
>> to convert stanzas containing any of these lines which d-i can include:
>>
>> 	wireless-mode managed
>> 	wireless-essid *
>> 	wireless-key1 *
>> 	hostname *
> 
> Are you suggesting to create a keyfile connection based on the configuration
> from /etc/network/interfaces?
> 
> Currently we don't do any conversion at all. We simply comment out any dhcp
> iface configuration without any additional option.

Doing a fully automated conversion would probably not be that easy and I'm not
convinced it would be a good idea anyways.

And we can't simply comment out entries like the above without risking to lose
network connection.

> If you install a new system using d-i and a /e/n/i configuration like your's is
> created, the interface will be managed by ifupdown and not network-manager.
> 
> Or are you suggesting that NM still tries to take over the interface even if is
> configured in /e/n/i?

Let me be more clear here: I fail to see the problem. Where do you think is
network-manager not behaving as expected?

Isn't this more a d-i problem, that it shouldn't write any /e/n/i configuration
at all if network-manager is being installed?

Trying to fix up such setups later in network-manager is brittle and we only do
it in the most common and simplest case.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 23:27:05 GMT) Full text and rfc822 format available.

Message #20 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Tue, 7 Dec 2010 19:19:18 -0400
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> Upgrading from which version?

0.8.1-4

> I also don't understand why you say that the network is taken down.

Because it was taken down, when the postinst stopped network-manager,
and did not come back up when the postinst started network-manager
(because network-manager had changed to not manage it).

> Are you suggesting to create a keyfile connection based on the configuration
> from /etc/network/interfaces?

I'm suggesting that network-manager needs to deal with standard
interfaces files as generated by d-i, and that its current code to do
that is buggy, and that this is a release critical bug.
 
-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 23:42:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 23:42:27 GMT) Full text and rfc822 format available.

Message #25 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Tue, 7 Dec 2010 19:41:47 -0400
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> If you install a new system using d-i and a /e/n/i configuration like your's is
> created, the interface will be managed by ifupdown and not network-manager.

ifup does not bring up interfaces marked as allow-hotplug unless it
gets some kind of hotplug event. That does not happen on boot with 
my pci-e wifi card.

I think it's probably a d-i bug that it seems to mark such interfaces as
allow-hotplug. However:

a. Would you really want laptops' wireless interfaces to be
   managed by ifupdown on a system with network-manager, by default?

b. squeeze is heavily frozen, and it is far, far to late in the release
   cycle to be making big changes to either d-i or network-manager.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 23:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>, 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Wed, 08 Dec 2010 00:42:56 +0100
[Message part 1 (text/plain, inline)]
On 08.12.2010 00:19, Joey Hess wrote:
> Michael Biebl wrote:
>> Upgrading from which version?
> 
> 0.8.1-4
> 
>> I also don't understand why you say that the network is taken down.
> 
> Because it was taken down, when the postinst stopped network-manager,
> and did not come back up when the postinst started network-manager
> (because network-manager had changed to not manage it).

This is a temporary issue. Not sure yet what to do about this.

>> Are you suggesting to create a keyfile connection based on the configuration
>> from /etc/network/interfaces?
> 
> I'm suggesting that network-manager needs to deal with standard
> interfaces files as generated by d-i, and that its current code to do
> that is buggy, and that this is a release critical bug.

The network being taken down on upgrades from prvious 0.8.x versions under
certain circumstances is an issue.
Afaics this won't affect fresh installs though or upgrades from lenny.

Other than that I don't see the current code as being buggy.

Care to elaborate?

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 23:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 23:48:05 GMT) Full text and rfc822 format available.

Message #35 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Tue, 7 Dec 2010 19:45:09 -0400
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> > Could you please clarify what exactly happened? Was this only temporary
> > immediately after the upgrade? Is the problem reproducible after a upgrade?
> 
> Reproducible after a reboot, I meant.

Yes.

> Doing a fully automated conversion would probably not be that easy and I'm not
> convinced it would be a good idea anyways.
> 
> And we can't simply comment out entries like the above without risking to lose
> network connection.

Unfortunatly I don't see much of a choice, unless you want to just
change the default to managed=true. There are probably a great many
systems out there that have already been installed and have this
problem.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 23:54:03 GMT) Full text and rfc822 format available.

Message #40 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Tue, 7 Dec 2010 19:51:04 -0400
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> The network being taken down on upgrades from prvious 0.8.x versions under
> certain circumstances is an issue.
> Afaics this won't affect fresh installs though or upgrades from lenny.

This is wrong for reasons I explained in
<20101207234147.GA3220@gnu.kitenet.net>.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 07 Dec 2010 23:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Dec 2010 23:57:03 GMT) Full text and rfc822 format available.

Message #45 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Wed, 08 Dec 2010 00:56:02 +0100
[Message part 1 (text/plain, inline)]
On 08.12.2010 00:51, Joey Hess wrote:
> Michael Biebl wrote:
>> The network being taken down on upgrades from prvious 0.8.x versions under
>> certain circumstances is an issue.
>> Afaics this won't affect fresh installs though or upgrades from lenny.
> 
> This is wrong for reasons I explained in
> <20101207234147.GA3220@gnu.kitenet.net>.

As you already noted, that is a different problem.
It's not about network-manager taken the interface down, it's because of
ifupdown not bringing the device up (most likely due to a buggy driver not
generating a uevent).

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 08 Dec 2010 00:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 00:09:05 GMT) Full text and rfc822 format available.

Message #50 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Wed, 08 Dec 2010 01:06:41 +0100
[Message part 1 (text/plain, inline)]
On 08.12.2010 00:45, Joey Hess wrote:

>> Doing a fully automated conversion would probably not be that easy and I'm not
>> convinced it would be a good idea anyways.
>>
>> And we can't simply comment out entries like the above without risking to lose
>> network connection.
> 
> Unfortunatly I don't see much of a choice, unless you want to just
> change the default to managed=true. There are probably a great many
> systems out there that have already been installed and have this
> problem.

I honestly doubt that.
First, installing over wireless is certainly not the norm, especially as WEP is
deader than dead and open wireless networks are not that common either.

And second, allow-hotplug not working on your system is afaics due to a buggy
driver.

All in all this is a rather rare combination I'd say, altough I certainly admit
it is an issue for you.

Switching to managed=true has a much wider impact which I don't want to risk at
this stage of the release.

And simply commenting out wireless configurations generated by d-i is risky too:
On systems where allow-hotplug works and ifupdown is used to configure the
interface, commenting it out will kill the network configuration.

A compromise could be, to only comment out a wireless configuration found in
/e/n/i, if we find a  corresponding (I'd use essid is the same as criteria)
network-manager configuration.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 08 Dec 2010 00:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 00:36:04 GMT) Full text and rfc822 format available.

Message #55 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Tue, 7 Dec 2010 20:32:10 -0400
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> First, installing over wireless is certainly not the norm

Amazon is currently selling $350 laptops on which Debian can be installed
over wireless (ath9k) without even needing non-free firmware.

> open wireless networks are not that common either.

That is highly location-dependant, and not true in large regions of eg,
the United States.

Here is one statistic from http://www.wigle.net/gps/gps/main/stats/
Networks with crypto: 14,688,344 (49.8%)
Networks without crypto: 7,988,171 (27.1%)

Also, it's not as if d-i is never going to support WPA.

> And second, allow-hotplug not working on your system is afaics due to a buggy
> driver.

That may be the case -- the driver on my laptop is iwlagn,
and on a laptop with ath9k, an event does seem to be generated on boot.

But even if that is the case, this still stands:

a. Would you really want laptops' wireless interfaces to be
   managed by ifupdown on a system with network-manager, by default?

b. squeeze is heavily frozen, and it is far, far to late in the release
   cycle to be making big changes to either d-i or network-manager.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 08 Dec 2010 00:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 00:51:08 GMT) Full text and rfc822 format available.

Message #60 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: now ignores interfaces configured by d-i
Date: Wed, 08 Dec 2010 01:50:21 +0100
[Message part 1 (text/plain, inline)]
On 08.12.2010 01:32, Joey Hess wrote:

> But even if that is the case, this still stands:
> 
> a. Would you really want laptops' wireless interfaces to be
>    managed by ifupdown on a system with network-manager, by default?

No, but as I already mentioned imho this can only be handled half way sane in
d-i to not write out any /e/n/i configuration in the first place if
network-manager is being installed.
How would you know the configuration is from d-i and not manually added by the
administrator?
How would you handle the case where ifupdown is indeed used to configure the
wireless interface and there is no configuration for network-manager?

Commenting out the /e/n/i configuration then would kill the network connection,
which would be RC too.
Before commenting out anything in /e/n/i I need to be sure NM will be able to
bring up the device. This is really only possible to say for a interface
configuration with dhcp and nothing else.

So in a case like this I'd leave the decision to the administrator to the
system. If he wants nm to manage the interface he can do so by commenting
out/removing the configuration from /e/n/i.

That's the only safe choice I see right now.

I'm open though to a solution which addresses the above questions.

> 
> b. squeeze is heavily frozen, and it is far, far to late in the release
>    cycle to be making big changes to either d-i or network-manager.
> 

I know that, but I don't know what you want to imply with that or what you want
me to reply on that.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 08 Dec 2010 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 13:03:06 GMT) Full text and rfc822 format available.

Message #65 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Joey Hess <joeyh@debian.org>, 606268@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Wed, 08 Dec 2010 14:00:52 +0100
[Message part 1 (text/plain, inline)]
found 606268 0.6.6-3
thanks


Hi Joey

On 08.12.2010 00:19, Joey Hess wrote:

>> Are you suggesting to create a keyfile connection based on the configuration
>> from /etc/network/interfaces?
> 
> I'm suggesting that network-manager needs to deal with standard
> interfaces files as generated by d-i, and that its current code to do
> that is buggy, and that this is a release critical bug.

Could you please post further examples of such interfaces files generated by
d-i, especially wireless configurations.

Please also note that e.g. if you setup your (ethernet) connection using a
static IP configuration, we do not comment such interface configurations either.

So the issue about NM not managing certain devices extends to ethernet
interfaces as well and this behaviour has been so ever since lenny, so I'll mark
this bug accordingly.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug Marked as found in versions network-manager/0.6.6-3. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 13:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 08 Dec 2010 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 16:09:03 GMT) Full text and rfc822 format available.

Message #72 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Wed, 8 Dec 2010 12:08:13 -0400
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> Could you please post further examples of such interfaces files generated by
> d-i, especially wireless configurations.

Why? Here is the code that generates them:

    if ((fp = file_open(INTERFACES_FILE, "a"))) {
        fprintf(fp, "\n# The primary network interface\n");
        if (!iface_is_hotpluggable(iface) && !find_in_stab(iface))
            fprintf(fp, "auto %s\n", iface);
        else
            fprintf(fp, "allow-hotplug %s\n", iface);
        fprintf(fp, "iface %s inet dhcp\n", iface);
        if (dhostname) {
            fprintf(fp, "\thostname %s\n", dhostname);
        }
        if (is_wireless_iface(iface)) {
            fprintf(fp, "\t# wireless-* options are implemented by the wireless-tools package\n");
            fprintf(fp, "\twireless-mode %s\n",
                    (mode == MANAGED) ? "managed" : "ad-hoc");
            fprintf(fp, "\twireless-essid %s\n",
                    (essid && *essid) ? essid : "any");
            if (wepkey != NULL)
                fprintf(fp, "\twireless-key1 %s\n", wepkey);
        }
        fclose(fp);
    }

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 08 Dec 2010 16:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 08 Dec 2010 16:18:06 GMT) Full text and rfc822 format available.

Message #77 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Wed, 8 Dec 2010 12:15:02 -0400
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> Please also note that e.g. if you setup your (ethernet) connection using a
> static IP configuration, we do not comment such interface configurations either.
> 
> So the issue about NM not managing certain devices extends to ethernet
> interfaces as well and this behaviour has been so ever since lenny, so I'll mark
> this bug accordingly.

There is a world of difference between statically configuring a ethernet
interface and having that interface never be managed by network-manager,
and having a wireless interface that was working fine with network-manager
suddenly start only connecting to a single wireless network (if any) and not
appearing in network-manager anymore. This bug is about the latter problem;
the former is not a problem. This is a new bug, and I tire of your attempts
to deny it.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ignores wireless ainterfaces configured by d-i' from 'now ignores interfaces configured by d-i' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 20:48:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'Ignores wireless interfaces configured by d-i' from 'ignores wireless ainterfaces configured by d-i' Request was from Julien Valroff <julien@debian.org> to control@bugs.debian.org. (Fri, 17 Dec 2010 05:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Sat, 08 Jan 2011 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 08 Jan 2011 22:27:05 GMT) Full text and rfc822 format available.

Message #86 received at 606268@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joey Hess <joeyh@debian.org>, 606268@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Bug#606268: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Sat, 8 Jan 2011 23:24:41 +0100
[Message part 1 (text/plain, inline)]
On Wed, Dec  8, 2010 at 12:15:02 -0400, Joey Hess wrote:

> Michael Biebl wrote:
> > Please also note that e.g. if you setup your (ethernet) connection using a
> > static IP configuration, we do not comment such interface configurations either.
> > 
> > So the issue about NM not managing certain devices extends to ethernet
> > interfaces as well and this behaviour has been so ever since lenny, so I'll mark
> > this bug accordingly.
> 
> There is a world of difference between statically configuring a ethernet
> interface and having that interface never be managed by network-manager,
> and having a wireless interface that was working fine with network-manager
> suddenly start only connecting to a single wireless network (if any) and not
> appearing in network-manager anymore. This bug is about the latter problem;
> the former is not a problem. This is a new bug, and I tire of your attempts
> to deny it.
> 
Is there any progress towards fixing this for squeeze?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Sun, 09 Jan 2011 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 09 Jan 2011 01:57:03 GMT) Full text and rfc822 format available.

Message #91 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>, 606268@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Sun, 09 Jan 2011 02:52:47 +0100
[Message part 1 (text/plain, inline)]
On 08.01.2011 23:24, Julien Cristau wrote:
> On Wed, Dec  8, 2010 at 12:15:02 -0400, Joey Hess wrote:
> 
>> Michael Biebl wrote:
>>> Please also note that e.g. if you setup your (ethernet) connection using a
>>> static IP configuration, we do not comment such interface configurations either.
>>>
>>> So the issue about NM not managing certain devices extends to ethernet
>>> interfaces as well and this behaviour has been so ever since lenny, so I'll mark
>>> this bug accordingly.
>>
>> There is a world of difference between statically configuring a ethernet
>> interface and having that interface never be managed by network-manager,
>> and having a wireless interface that was working fine with network-manager
>> suddenly start only connecting to a single wireless network (if any) and not
>> appearing in network-manager anymore. This bug is about the latter problem;
>> the former is not a problem. This is a new bug, and I tire of your attempts
>> to deny it.
>>
> Is there any progress towards fixing this for squeeze?

No


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 13 Jan 2011 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 13 Jan 2011 19:33:06 GMT) Full text and rfc822 format available.

Message #96 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>, 606268@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, debian-boot@lists.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Thu, 13 Jan 2011 20:30:40 +0100
[Message part 1 (text/plain, inline)]
Sorry for the short and probably unsatisfying answer. I'll try to provide more
detail.

On 09.01.2011 02:52, Michael Biebl wrote:
> On 08.01.2011 23:24, Julien Cristau wrote:
>> On Wed, Dec  8, 2010 at 12:15:02 -0400, Joey Hess wrote:
>>
>>> Michael Biebl wrote:
>>>> Please also note that e.g. if you setup your (ethernet) connection using a
>>>> static IP configuration, we do not comment such interface configurations either.
>>>>
>>>> So the issue about NM not managing certain devices extends to ethernet
>>>> interfaces as well and this behaviour has been so ever since lenny, so I'll mark
>>>> this bug accordingly.
>>>
>>> There is a world of difference between statically configuring a ethernet
>>> interface and having that interface never be managed by network-manager,
>>> and having a wireless interface that was working fine with network-manager
>>> suddenly start only connecting to a single wireless network (if any) and not
>>> appearing in network-manager anymore. This bug is about the latter problem;
>>> the former is not a problem. This is a new bug, and I tire of your attempts
>>> to deny it.
>>>
>> Is there any progress towards fixing this for squeeze?
> 
> No

This is still true. The simple reason is, that I'm not sure how to fix this
properly for squeeze and currently I don't have a lot of time to look into this.

I'm already not very fond of the /etc/network/interfaces mangling as of now
(i.e. commenting out dhcp entries). I don't really want to go further down that
road.

That said, this behaviour of ignoring interfaces from /etc/network/interfaces
has been so since at least lenny. So the bug title is not quite correct in that
regard. It is true, that releases that followed the Lenny version contained a
bug in the interface parser, which did not correctly mark wireless interfaces as
unmanaged when configured in /etc/network/interfaces.

People upgrading directly from Lenny won't see a change in behaviour, people who
constantly upgraded did.

This leaves the new-install case.

Imho, the cleanest solution here would be, if d-i simply wouldn't write out any
configuration (dhcp/wireless) if network-manager is installed (through the
desktop task).

CCing the d-i team, to know if that would be feasible.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 13 Jan 2011 21:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 13 Jan 2011 21:27:14 GMT) Full text and rfc822 format available.

Message #101 received at 606268@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 606268@bugs.debian.org, Joey Hess <joeyh@debian.org>, debian-boot@lists.debian.org
Subject: Re: Bug#606268: Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Fri, 14 Jan 2011 08:22:02 +1100
[Summary: NetworkManager doesn't properly transition away from
/etc/network/interfaces-configured wireless interfaces to using it's own
internal configuration database, causing them to not come up at all]

On Thu, Jan 13, 2011 at 08:30:40PM +0100, Michael Biebl wrote:
> Imho, the cleanest solution here would be, if d-i simply wouldn't write out any
> configuration (dhcp/wireless) if network-manager is installed (through the
> desktop task).
> 
> CCing the d-i team, to know if that would be feasible.

No, this is not feasible at this stage of the release.  The package that
detects and configures the network (netcfg) runs long, *LONG* before any
packages or tasks are chosen.  Now, in theory, we could defer writing out
/e/n/interfaces until the end of the install (probably by extending
finish-install), but that would be complicated and prone to bugs, which
means isn't going to happen for squeeze anyway (d-i rc1 was just released;
nothing but showstopper bugs *in* *d-i* are going to get fixed now).

At any rate, I don't think that not writing out network config is going to
solve your problem.  What about when a user of a newly-installed system (ie
post d-i) decides they want the desktop task installed?  Or decides to
install NM individually?  In both of those cases, interfaces is going to be
populated, and you (presumably) need to deal with that correctly, and it's
no different to the install-time case anyway.  Even if we ignored those
people, by not writing out a network config you're giving all desktop users
a system with no network at all at first boot, which is pretty much
guaranteed to result in a large pile of failing d-i installation reports
that we can do nothing about.

- Matt




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 13 Jan 2011 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 13 Jan 2011 21:54:06 GMT) Full text and rfc822 format available.

Message #106 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Matthew Palmer <mpalmer@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 606268@bugs.debian.org, Joey Hess <joeyh@debian.org>, debian-boot@lists.debian.org
Subject: Re: Bug#606268: Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Thu, 13 Jan 2011 22:51:41 +0100
[Message part 1 (text/plain, inline)]
On 13.01.2011 22:22, Matthew Palmer wrote:
> [Summary: NetworkManager doesn't properly transition away from
> /etc/network/interfaces-configured wireless interfaces to using it's own
> internal configuration database, causing them to not come up at all]
> 
> On Thu, Jan 13, 2011 at 08:30:40PM +0100, Michael Biebl wrote:
>> Imho, the cleanest solution here would be, if d-i simply wouldn't write out any
>> configuration (dhcp/wireless) if network-manager is installed (through the
>> desktop task).
>>
>> CCing the d-i team, to know if that would be feasible.
> 
> No, this is not feasible at this stage of the release.  The package that
> detects and configures the network (netcfg) runs long, *LONG* before any
> packages or tasks are chosen.  Now, in theory, we could defer writing out
> /e/n/interfaces until the end of the install (probably by extending
> finish-install), but that would be complicated and prone to bugs, which
> means isn't going to happen for squeeze anyway (d-i rc1 was just released;
> nothing but showstopper bugs *in* *d-i* are going to get fixed now).

Ok, then I guess we need to tag this bug as squeeze-ignore, unless someone comes
up with a better idea.

> At any rate, I don't think that not writing out network config is going to
> solve your problem.  What about when a user of a newly-installed system (ie
> post d-i) decides they want the desktop task installed?  Or decides to
> install NM individually?  In both of those cases, interfaces is going to be
> populated, and you (presumably) need to deal with that correctly, and it's
> no different to the install-time case anyway.  Even if we ignored those
> people, by not writing out a network config you're giving all desktop users
> a system with no network at all at first boot, which is pretty much

To be precise, this would only affect desktop installs using wireless/WEP during
installation, so not *all*.

> guaranteed to result in a large pile of failing d-i installation reports
> that we can do nothing about.

Afaics the proposed solution to simply comment out the wep configuration from
/e/n/i will basically have the same effect.

I mean, I could ride the easy path, as wicd does, and simply ignore what's
configured in /e/n/i and if people want to have devices not be managed by NM,
they have to configure that explicitly in /etc/NetworkManager/NetworkManager.conf.

Setting managed=true needs more work and integration, especially from ifupdown,
i.e. if NM is in charge of the device, you don't want ifupdown to bring it up
too, and e.g. spawn a second wpa_supplicant instance which then fight against
each other.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 20 Jan 2011 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 20 Jan 2011 13:54:03 GMT) Full text and rfc822 format available.

Message #111 received at 606268@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 606268@bugs.debian.org
Cc: Matthew Palmer <mpalmer@debian.org>, Joey Hess <joeyh@debian.org>, debian-boot@lists.debian.org
Subject: Re: Bug#606268: Bug#606268: Bug#606268: now ignores interfaces configured by d-i
Date: Thu, 20 Jan 2011 14:50:59 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 606268 squeeze-can-defer
tag 606268 squeeze-ignore
kthxbye

On Thu, Jan 13, 2011 at 22:51:41 +0100, Michael Biebl wrote:

> On 13.01.2011 22:22, Matthew Palmer wrote:
> > [Summary: NetworkManager doesn't properly transition away from
> > /etc/network/interfaces-configured wireless interfaces to using it's own
> > internal configuration database, causing them to not come up at all]
> > 
> > On Thu, Jan 13, 2011 at 08:30:40PM +0100, Michael Biebl wrote:
> >> Imho, the cleanest solution here would be, if d-i simply wouldn't write out any
> >> configuration (dhcp/wireless) if network-manager is installed (through the
> >> desktop task).
> >>
> >> CCing the d-i team, to know if that would be feasible.
> > 
> > No, this is not feasible at this stage of the release.  The package that
> > detects and configures the network (netcfg) runs long, *LONG* before any
> > packages or tasks are chosen.  Now, in theory, we could defer writing out
> > /e/n/interfaces until the end of the install (probably by extending
> > finish-install), but that would be complicated and prone to bugs, which
> > means isn't going to happen for squeeze anyway (d-i rc1 was just released;
> > nothing but showstopper bugs *in* *d-i* are going to get fixed now).
> 
> Ok, then I guess we need to tag this bug as squeeze-ignore, unless someone comes
> up with a better idea.
> 
Yeah I'm not seeing a way out of this in time for the release.  :(
It'd be good to come to an agreement over the way forward for
post-squeeze though between nm/wicd-type packages and the installer and
ifupdown on how to handle network interface configuration.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 20 Jan 2011 13:54:05 GMT) Full text and rfc822 format available.

Forcibly Merged 606268 611281. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 27 Jan 2011 18:15:09 GMT) Full text and rfc822 format available.

Forcibly Merged 606268 609072 611281. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 29 Jan 2011 21:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Sun, 06 Feb 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 06 Feb 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #122 received at 606268@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 606268@bugs.debian.org
Subject: fix in ubuntu's netcfg
Date: Sun, 6 Feb 2011 15:05:45 -0400
[Message part 1 (text/plain, inline)]
Ubuntu seems to deal with this problem as follows in netcfg:

    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.

I assume that /usr/lib/network-manager/ifblacklist_migrate.sh is also 
added to the ubuntu network-manager packages. If you want to go this route
we can merge the netcfg change in d-i.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Mon, 21 Feb 2011 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 21 Feb 2011 16:03:03 GMT) Full text and rfc822 format available.

Message #127 received at 606268@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 606268@bugs.debian.org
Subject: Nuke /etc/network/interfaces wifi config later in d-i when a script is provided by NM
Date: Mon, 21 Feb 2011 11:59:10 -0400
I had a discussion with Michael and others on #debian-gnome, in which we
discussed the difficulty of implementing an ideal solution, and the
outcome of which was:

10:44 < SynrG> mbiebl: around? just wondering if joeyh's proposal for
#606268 is reasonable.
...
11:41 < mbiebl> SynrG: back to your original question: yeah, I'd be fine
if d-i was extended to nuke configurations from /e/n/i later during
installation if it finds a script provided by nm

That is, it's fine to do this sort of thing during install, just not
during normal NM package installation/upgrade.

So, I'd like to help in this area if there's anything I can do,
particularly on the netcfg side.

Ben




Added indication that bug 606268 blocks 614804 Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 23 Feb 2011 16:00:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 606268: 614884 Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Wed, 23 Feb 2011 23:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Sat, 26 Feb 2011 18:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 26 Feb 2011 18:00:07 GMT) Full text and rfc822 format available.

Message #136 received at 606268@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Debian Bug Tracking System <606268@bugs.debian.org>
Subject: New ifblacklist_migrate.sh supporting netcfg
Date: Sat, 26 Feb 2011 13:57:50 -0400
[Message part 1 (text/plain, inline)]
Package: network-manager
Severity: normal
Tags: patch

I have attached a new version of ifblacklist_migrate.sh that will
comment out any wireless stanzas configured by netcfg when run in
netcfg's new finish-install hook.

I have tested this with a live-installer image built with a squeeze d-i,
a patched netcfg (including the couple of fixes I have noted on
#614884), and a patched NM. After running the installer and configuring
wlan0 on an open network, the installed system's NM no longer shows
wlan0 as "not managed" and the wlan0 stanza is correctly commented out
with "#NetworkManager#". All other kinds of wireless network should be
handled too, so long as at least one "wireless-" option is found {in the
stanza.

Ben
[ifblacklist_migrate.sh (text/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Sun, 06 Mar 2011 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 06 Mar 2011 15:51:06 GMT) Full text and rfc822 format available.

Message #141 received at 606268@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Debian Bug Tracking System <606268@bugs.debian.org>
Subject: Re: ignores interfaces configured by d-i
Date: Sun, 06 Mar 2011 11:49:09 -0400
[Message part 1 (text/plain, inline)]
Package: network-manager
Severity: normal

When reviewing my first patch, I noticed an off-by-one error which,
while it did not in fact prevent the patch from working in the case I
tested (because I have observed there are always at least two
"wireless-" lines generated by netcfg) should should still be fixed in
case netcfg ever does supply only a single "wireless-" line. See the
attached patch. I've also included the updated script which incorporates
the patch and supercedes the first version.

Ben
[ifblacklist_migrate_off_by_one.patch (text/plain, attachment)]
[ifblacklist_migrate.sh (text/x-shellscript, attachment)]

Forcibly Merged 606268 609072 611281 617906. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sat, 12 Mar 2011 12:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 04 Apr 2012 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 04 Apr 2012 17:54:03 GMT) Full text and rfc822 format available.

Message #148 received at 606268@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 606268@bugs.debian.org
Subject: Workaround
Date: Wed, 04 Apr 2012 13:50:32 -0400
I just reinstalled Debian and for the first time did it via my wireless 
network (with WPA encryption), without even requiring non-free firmware. 
It was disappointing after that to discover that using wireless during 
the install was what caused network-manager not to manage my wireless 
card, after the installation :-/

I read the README and also tried managed=true to workaround, but that 
didn't do it for me. NetworkManager would show my wireless card as 
"Unavailable"... whatever that means. It reluctantly gave as only reason 
for that state that the device was now managed...
d-i added this stanza to /etc/network/interfaces for my wireless card:

> # The primary network interface
> allow-hotplug wlan0
> iface wlan0 inet dhcp
>     wpa-ssid 1391
>     wpa-psk  openssh5.1p1

Commenting the allow-hotplug line managed to work around. It seems that 
wlan0 was up when network-manager started, and this caused it not to 
consider wlan0. After bringing wlan0 down and restarting 
network-manager, NetworkManager could control wlan0.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 04 Apr 2012 20:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 04 Apr 2012 20:54:12 GMT) Full text and rfc822 format available.

Message #153 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Filipus Klutiero <chealer@gmail.com>, 606268@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Workaround
Date: Wed, 04 Apr 2012 22:48:33 +0200
[Message part 1 (text/plain, inline)]
On 04.04.2012 19:50, Filipus Klutiero wrote:
> I just reinstalled Debian and for the first time did it via my wireless 
> network (with WPA encryption), without even requiring non-free firmware. 
> It was disappointing after that to discover that using wireless during 
> the install was what caused network-manager not to manage my wireless 
> card, after the installation :-/
> 
> I read the README and also tried managed=true to workaround, but that 
> didn't do it for me. NetworkManager would show my wireless card as 
> "Unavailable"... whatever that means. It reluctantly gave as only reason 
> for that state that the device was now managed...
> d-i added this stanza to /etc/network/interfaces for my wireless card:
> 
>> # The primary network interface
>> allow-hotplug wlan0
>> iface wlan0 inet dhcp
>>     wpa-ssid 1391
>>     wpa-psk  openssh5.1p1
> 
> Commenting the allow-hotplug line managed to work around. It seems that 
> wlan0 was up when network-manager started, and this caused it not to 
> consider wlan0. After bringing wlan0 down and restarting 
> network-manager, NetworkManager could control wlan0.

I thought d-i does *not* create any /e/n/i entries for wireless
connections anymore, so NM can properly manage the interface later on.

Can the d-i team comment on this, please.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 04 Apr 2012 21:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 04 Apr 2012 21:06:11 GMT) Full text and rfc822 format available.

Message #158 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Filipus Klutiero <chealer@gmail.com>, 606268@bugs.debian.org, debian-boot@lists.debian.org
Subject: NetworkManager and wireless interfaces created by d-i (Re: Bug#606268:...)
Date: Wed, 04 Apr 2012 23:02:32 +0200
[Message part 1 (text/plain, inline)]
On 04.04.2012 22:48, Michael Biebl wrote:
> On 04.04.2012 19:50, Filipus Klutiero wrote:
>> I just reinstalled Debian and for the first time did it via my wireless 
>> network (with WPA encryption), without even requiring non-free firmware. 
>> It was disappointing after that to discover that using wireless during 
>> the install was what caused network-manager not to manage my wireless 
>> card, after the installation :-/
>>
>> I read the README and also tried managed=true to workaround, but that 
>> didn't do it for me. NetworkManager would show my wireless card as 
>> "Unavailable"... whatever that means. It reluctantly gave as only reason 
>> for that state that the device was now managed...
>> d-i added this stanza to /etc/network/interfaces for my wireless card:
>>
>>> # The primary network interface
>>> allow-hotplug wlan0
>>> iface wlan0 inet dhcp
>>>     wpa-ssid 1391
>>>     wpa-psk  openssh5.1p1
>>
>> Commenting the allow-hotplug line managed to work around. It seems that 
>> wlan0 was up when network-manager started, and this caused it not to 
>> consider wlan0. After bringing wlan0 down and restarting 
>> network-manager, NetworkManager could control wlan0.
> 
> I thought d-i does *not* create any /e/n/i entries for wireless
> connections anymore, so NM can properly manage the interface later on.
> 
> Can the d-i team comment on this, please.

Using a proper subject...

Michael

P.S.: Please CC me on replies, I'm not subscribed to debian-boot




-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 05 Apr 2012 05:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 05:54:03 GMT) Full text and rfc822 format available.

Message #163 received at 606268@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: NetworkManager and wireless interfaces created by d-i (Re: Bug#606268:...)
Date: Thu, 05 Apr 2012 01:50:10 -0400
On 2012-04-04 17:02, Michael Biebl wrote:
> On 04.04.2012 22:48, Michael Biebl wrote:
>> On 04.04.2012 19:50, Filipus Klutiero wrote:
>>> I just reinstalled Debian and for the first time did it via my wireless
>>> network (with WPA encryption), without even requiring non-free firmware.
>>> It was disappointing after that to discover that using wireless during
>>> the install was what caused network-manager not to manage my wireless
>>> card, after the installation :-/
>>>
>>> I read the README and also tried managed=true to workaround, but that
>>> didn't do it for me. NetworkManager would show my wireless card as
>>> "Unavailable"... whatever that means. It reluctantly gave as only reason
>>> for that state that the device was now managed...
>>> d-i added this stanza to /etc/network/interfaces for my wireless card:
>>>
>>>> # The primary network interface
>>>> allow-hotplug wlan0
>>>> iface wlan0 inet dhcp
>>>>      wpa-ssid 1391
>>>>      wpa-psk  openssh5.1p1
>>> Commenting the allow-hotplug line managed to work around. It seems that
>>> wlan0 was up when network-manager started, and this caused it not to
>>> consider wlan0. After bringing wlan0 down and restarting
>>> network-manager, NetworkManager could control wlan0.
>> I thought d-i does *not* create any /e/n/i entries for wireless
>> connections anymore, so NM can properly manage the interface later on.
>>
 d-i surely did here. To be exact, I "just" reinstalled on March 23rd, 
using a March 22nd i386 testing netinst. I didn't touch 
/etc/network/interfaces or play with the network after the install 
except through NetworkManager.




Removed tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 13 May 2012 16:48:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'Network interface used for installation is configured as unmanaged by NM' from 'Ignores wireless interfaces configured by d-i' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 13 May 2012 16:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ben@amongotheritems.org, biebl@debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Tue, 15 May 2012 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Bromley <ben@amongotheritems.org>:
Extra info received and forwarded to list. Copy sent to ben@amongotheritems.org, biebl@debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 15 May 2012 03:06:04 GMT) Full text and rfc822 format available.

Message #172 received at 606268@bugs.debian.org (full text, mbox):

From: Ben Bromley <ben@amongotheritems.org>
To: Debian Bug Tracking System <606268@bugs.debian.org>
Subject: Re: Network interface used for installation is configured as unmanaged by NM
Date: Mon, 14 May 2012 23:03:27 -0400
Package: network-manager
Version: 0.9.4.0-3
Followup-For: Bug #606268

I recently did a clean install on a new machine using D-I 7.0 Alpha 1,
installing using non-free firmware added to the usb drive before installation
and using WPA2 with no problem. To get my wireless working again after
installation I commented out the allow-hotplug line in /e/n/i and 
changed managed to true in /etc/NetworkManager/NetworkManager.conf.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.0-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager depends on:
ii  adduser                3.113+nmu2
ii  dbus                   1.5.12-1
ii  dpkg                   1.16.3
ii  isc-dhcp-client        4.2.2.dfsg.1-5
ii  libc6                  2.13-32
ii  libdbus-1-3            1.5.12-1
ii  libdbus-glib-1-2       0.98-1
ii  libgcrypt11            1.5.0-3
ii  libglib2.0-0           2.32.2-1
ii  libgnutls26            2.12.19-1
ii  libgudev-1.0-0         175-3.1
ii  libnl-3-200            3.2.7-2
ii  libnl-genl-3-200       3.2.7-2
ii  libnl-route-3-200      3.2.7-2
ii  libnm-glib4            0.9.4.0-3
ii  libnm-util2            0.9.4.0-3
ii  libpolkit-gobject-1-0  0.105-1
ii  libuuid1               2.20.1-4
ii  lsb-base               4.1+Debian3
ii  udev                   175-3.1
ii  wpasupplicant          1.0-1

Versions of packages network-manager recommends:
ii  crda          1.1.2-1
ii  dnsmasq-base  2.61-1
ii  iptables      1.4.13-1.1
ii  modemmanager  0.5.2.0-1
ii  policykit-1   0.105-1
ii  ppp           2.4.5-5.1

Versions of packages network-manager suggests:
ii  avahi-autoipd  0.6.31-1

-- Configuration Files:
/etc/NetworkManager/NetworkManager.conf changed:
[main]
plugins=ifupdown,keyfile
[ifupdown]
managed=true


-- no debconf information




Removed blocking bug(s) of 606268: 614804 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 21 Nov 2012 15:36:08 GMT) Full text and rfc822 format available.

Removed indication that bug 606268 blocks 614804 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 01:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Wed, 28 Nov 2012 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximiliano Curia <maxy@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 28 Nov 2012 23:57:03 GMT) Full text and rfc822 format available.

Message #181 received at 606268@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: 606268@bugs.debian.org, 688355@bugs.debian.org, 690987@bugs.debian.org
Subject: Debdiff with new script to handle /etc/network/interfaces
Date: Thu, 29 Nov 2012 00:46:19 +0100
[Message part 1 (text/plain, inline)]
Control: tag 606268 + patch
Control: tag 688355 + patch
Control: tag 690987 + patch

Hi,

The script that is used to comment out the interfaces in
/etc/network/interfaces was so buggy that I had to write it completly from
scratch to make it work properly.

I have added a number of tests, to verify that the script does what it is
supposed to do.  I added the cases listed in the reported bugs, and also other
cases taken from different computers I had access to.

The script comments out the whole block that refers to one iface, not just the
iface line.  In the case of mappings, it doesn't comment them out.  This could
be changed if it was decided that the desired behaviour was to also comment
them out, I didn't do it because the original script didn't even take them
into account.

I'm attaching the debdiff that modifies this script and adds the corresponding
tests (executed from debian/rules during the dh_auto_test step).

I would like to hear opinions about this script from the maintainers or other
interested parties.  In the case that I don't get any replies, I would do the
NMU in a couple of days.

-- 
"The cheapest, fastest and most reliable components of a computer system are
those that aren't there."
-- Gordon Bell
Saludos /\/\ /\ >< `/
[network-manager_0.9.4.0-6.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Maximiliano Curia <maxy@debian.org> to 606268-submit@bugs.debian.org. (Wed, 28 Nov 2012 23:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 29 Nov 2012 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 29 Nov 2012 00:27:04 GMT) Full text and rfc822 format available.

Message #188 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Maximiliano Curia <maxy@debian.org>, 690987@bugs.debian.org, 688355@bugs.debian.org, 606268@bugs.debian.org
Cc: Debian-Release <debian-release@lists.debian.org>, Don Armstrong <don@debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#690987: Debdiff with new script to handle /etc/network/interfaces
Date: Thu, 29 Nov 2012 01:23:23 +0100
[Message part 1 (text/plain, inline)]
Hi Maximiliano,

thanks for your work on this!

On 29.11.2012 00:46, Maximiliano Curia wrote:
> 
> The script that is used to comment out the interfaces in
> /etc/network/interfaces was so buggy that I had to write it completly from
> scratch to make it work properly.

Nod, the existing script is indeed horrible.

> I have added a number of tests, to verify that the script does what it is
> supposed to do.  I added the cases listed in the reported bugs, and also other
> cases taken from different computers I had access to.
> 
> The script comments out the whole block that refers to one iface, not just the
> iface line.  In the case of mappings, it doesn't comment them out.  This could
> be changed if it was decided that the desired behaviour was to also comment
> them out, I didn't do it because the original script didn't even take them
> into account.
> 
> I'm attaching the debdiff that modifies this script and adds the corresponding
> tests (executed from debian/rules during the dh_auto_test step).
> 
> I would like to hear opinions about this script from the maintainers or other
> interested parties.  In the case that I don't get any replies, I would do the
> NMU in a couple of days.


I will have a closer look this weekend, so expect a more detailed reply
then.

I just wanted to let you know, that there has been work in the
debian-installer (which will land in beta5 or rc1), to write NM system
connection configs.
This means, if NM is installed during the system installation (e.g. via
the desktop task),  d-i will write an empty /e/n/i and create configs
for /etc/NetworkManager/system-connections/ directly.

For the common case it should thus no longer be necessary to run the
ifblacklist.sh script. Because of that I have been considering dropping
it completely, since not everyone was happy that is has been running
unconditionally.
So far I refused to drop the script or put it behind a debconf prompt,
because that would have meant, basically everybody would see this prompt
or have an unmanaged network device.

With the updates in d-i, this situation has changed though.

The script is still useful for the case, where someone does a minimal
installation and later on installs NM / the desktop task.
If we are going to keep the script, I'm inclined to now put it behind a
debconf prompt, so people can opt-out from the "/e/n/i mangling".
I would actually make the default to *not* run the script.

That said I'd also like to have further opinions on this, especially
from the release team, since this will concern them anyway once I
request an unblock.

I basically see three options

a/ drop the ifblacklist.sh script

b/ fix the script and continue to run it unconditionally during the
initial installation (what we do today)

c/ fix the script and add a debconf prompt, so it is no longer run
unconditionally.
The default for the debconf prompt would be *not* to run the script.
We'd also have to make sure the debconf prompt is not shown in d-i.


Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 29 Nov 2012 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 29 Nov 2012 03:12:03 GMT) Full text and rfc822 format available.

Message #193 received at 606268@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Maximiliano Curia <maxy@debian.org>, 606268@bugs.debian.org
Cc: "Andrew O. Shadoura" <bugzilla@tut.by>
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Debdiff with new script to handle /etc/network/interfaces
Date: Thu, 29 Nov 2012 04:09:57 +0100
[Message part 1 (text/plain, inline)]
On 29.11.2012 00:46, Maximiliano Curia wrote:

> I would like to hear opinions about this script from the maintainers or other
> interested parties.  In the case that I don't get any replies, I would do the
> NMU in a couple of days.

Just a quick comment from skimming over the patch: As you can see from
the discussion in [1], an auto or allow-* line without a corresponding
iface config is no longer considered valid syntax. Recent versions of
ifupdown are stricter about that.
At least that is my understanding from reading [1]. "man interfaces" is
not really definitive in that regard. Andrew, I hope you can clarify this.


That means, in addition to commenting out the actual iface config, you
also need to comment out the "auto eth0" or "allow-hotplug eth0" line.

What makes this a bit more complicated, is that you can use a syntax
like this:

auto eth0 eth1

iface eth0 inet manual
iface eth1 inet dhcp

In this case you can't simply comment out the auto line, since that
would disable eth0.

Would be great if you can update your patch accordingly.

Cheers,
Michael


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=656584#111

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#606268; Package network-manager. (Thu, 29 Nov 2012 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximiliano Curia <maxy@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 29 Nov 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #198 received at 606268@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 606268@bugs.debian.org, "Andrew O. Shadoura" <bugzilla@tut.by>
Subject: Re: [Pkg-utopia-maintainers] Bug#606268: Debdiff with new script to handle /etc/network/interfaces
Date: Fri, 30 Nov 2012 00:00:58 +0100
[Message part 1 (text/plain, inline)]
¡Hola Michael!

El 2012-11-29 a las 04:09 +0100, Michael Biebl escribió:
> What makes this a bit more complicated, is that you can use a syntax
> like this:
 
> auto eth0 eth1
 
> iface eth0 inet manual
> iface eth1 inet dhcp
 
> In this case you can't simply comment out the auto line, since that
> would disable eth0.
 
> Would be great if you can update your patch accordingly.

Done. It was a little more complex than expected.

I'm attaching the updated patch.

-- 
"There are only two things wrong with C++: The initial concept and the
implementation."
-- Bertrand Meyer
Saludos /\/\ /\ >< `/
[network-manager_0.9.4.0-6.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Merged 606268 609072 611281 617906 682608 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:21:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 606268: 614884 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:30:03 GMT) Full text and rfc822 format available.

Merged 606268 609072 611281 617906 682608 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 00:30:06 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 03:36:11 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 03:36:11 GMT) Full text and rfc822 format available.

Message #209 received at 606268-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 606268-close@bugs.debian.org
Subject: Bug#606268: fixed in network-manager 0.9.4.0-9
Date: Tue, 29 Jan 2013 03:33:06 +0000
Source: network-manager
Source-Version: 0.9.4.0-9

We believe that the bug you reported is fixed in the latest version of
network-manager, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606268@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 29 Jan 2013 04:10:11 +0100
Source: network-manager
Binary: network-manager network-manager-dev libnm-glib4 libnm-glib-dev libnm-glib-vpn1 libnm-glib-vpn-dev libnm-util2 libnm-util-dev network-manager-dbg gir1.2-networkmanager-1.0
Architecture: source amd64
Version: 0.9.4.0-9
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gir1.2-networkmanager-1.0 - GObject introspection data for NetworkManager
 libnm-glib-dev - network management framework (GLib interface)
 libnm-glib-vpn-dev - network management framework (GLib interface)
 libnm-glib-vpn1 - network management framework (GLib VPN shared library)
 libnm-glib4 - network management framework (GLib shared library)
 libnm-util-dev - network management framework (development files)
 libnm-util2 - network management framework (shared library)
 network-manager - network management framework (daemon and userspace tools)
 network-manager-dbg - network management framework (debugging symbols)
 network-manager-dev - network management framework (development files)
Closes: 475188 512286 606268 656584 688355 690987
Changes: 
 network-manager (0.9.4.0-9) unstable; urgency=low
 .
   * Change the ifupdown dispatcher script and set ADDRFAM to "inet" or "inet6"
     depending on whether the connection has a valid IPv4 or IPv6 address.
     Using "NetworkManager" as ADDRFAM type did confuse most ifupdown hook
     scripts and e.g. broke async NFS mounts. (Closes: #475188, #656584)
   * debian/patches/05-force-online-with-unmanaged-devices.patch: If network
     interfaces are configured in /etc/network/interfaces, NM will mark those
     devices as unmanaged by default. If such a network interface has been
     brought up by ifup, set the global online state to CONNECTED.
     (Closes: #512286)
   * No longer run the ifblacklist_migrate.sh script upon installation. This
     script was used to comment out DHCP type network interface configurations
     in /etc/network/interfaces as otherwise NM would mark such devices as
     unmanaged. This script was buggy though and sometimes created a broken
     network configuration.
     Since debian-installer in wheezy (7.0) will create proper configuration
     for NM if the network-manager package is part of the installation, this is
     no longer necessary.
     If users make a minimal system installation and install the
     network-manager package afterwards, show a warning in postinst if we
     find any interface configurations in /etc/network/interfaces.
     (Closes: #688355, #690987, #606268)
   * Update README.Debian for the latest changes.
Checksums-Sha1: 
 3b225386a33efe97970662decc049592b74de267 2971 network-manager_0.9.4.0-9.dsc
 b17a46a35393878ae50f811d3b9f09e47c4f4169 45358 network-manager_0.9.4.0-9.debian.tar.gz
 3e4c13b3928f43f47e69b595efaaa6db843d4b5b 867100 network-manager_0.9.4.0-9_amd64.deb
 4d5079e078a1b8b68af9e085f8b0c03a44c828a5 275610 network-manager-dev_0.9.4.0-9_amd64.deb
 88ff94e8301ad41cdaba75b0f8529a088b9e1879 295262 libnm-glib4_0.9.4.0-9_amd64.deb
 b065d88332dc9a4cbed6ff2898d8d0310cb46184 389026 libnm-glib-dev_0.9.4.0-9_amd64.deb
 15bccdc5351941fc017b31d5b7a70aba1e667b03 239096 libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 44692f28d2b3fa71840b9b4b21fed0a3696c8e3e 231738 libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 0e26913e2daa8beef550d9a6ade55eb65213ec11 331934 libnm-util2_0.9.4.0-9_amd64.deb
 1bd1436b0a1e239c52accfc16bf70489854b163d 370626 libnm-util-dev_0.9.4.0-9_amd64.deb
 51493f846be62f5fad4faf0be044e7f5c962f607 1725180 network-manager-dbg_0.9.4.0-9_amd64.deb
 60e90ae99ef5452fd68b0243528d34ed339131d9 258990 gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb
Checksums-Sha256: 
 1cd62c4dc0e31a1f437c14586645a49022e1b570820755b514ce0c44ee224c06 2971 network-manager_0.9.4.0-9.dsc
 df13ae28d160eb49c6a060ac6df54af02e3d2e815bca1f188a45af272d1c78e1 45358 network-manager_0.9.4.0-9.debian.tar.gz
 f285bb9ab1f0b9ff7fde6a242bede440d7201c2ce35119ec5016889677e050b2 867100 network-manager_0.9.4.0-9_amd64.deb
 2d5c791e15907a48de6b8757c5f1e70a50e66a38bb07112d3d2957783328795f 275610 network-manager-dev_0.9.4.0-9_amd64.deb
 abeed6264eff9d2e6a5481a9bf800226684557e7a8fb2822304f95948cefbe8b 295262 libnm-glib4_0.9.4.0-9_amd64.deb
 179e07c351b4d07f6433913b708425fa7a371f0b60445bec544fbaccb5c03689 389026 libnm-glib-dev_0.9.4.0-9_amd64.deb
 52f95d62b1a0603a820029f6600360fdd2ba487daeee188b8f54c7d61713eef1 239096 libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 1ec0805521f1cbdf3f0ff68d3a0557199b67c17ad7fcbc0e3d6fed1d17ca2b88 231738 libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 5c7beb9d234a7af1ea030d64a5a2fe819b0dd06edb4ad7e0d9f39a970a73c79c 331934 libnm-util2_0.9.4.0-9_amd64.deb
 e13d955879d80308a71c6d07d880113df75a89dc098922745d8b86424aed01ca 370626 libnm-util-dev_0.9.4.0-9_amd64.deb
 9b2cd3de689303a2cb60373113f64634268bce3e34ee9645bcf2f7a3f996f590 1725180 network-manager-dbg_0.9.4.0-9_amd64.deb
 dad53f4668832027efb0cdd416d881005772601a1a2836749f1c3be447957e64 258990 gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb
Files: 
 507a252427f213b621aadc2c2d0023a8 2971 net optional network-manager_0.9.4.0-9.dsc
 2e90014f4780527627d2f886a3224467 45358 net optional network-manager_0.9.4.0-9.debian.tar.gz
 bf799661c16a36a9eaa2cb87d52c775a 867100 net optional network-manager_0.9.4.0-9_amd64.deb
 a1b6fe153c9c98e15988298c2f8c7349 275610 devel optional network-manager-dev_0.9.4.0-9_amd64.deb
 24cb0e55b6acb968b9af6e3c97990b42 295262 libs optional libnm-glib4_0.9.4.0-9_amd64.deb
 8e4fcf9bff136a2f9862cda958b1e3ed 389026 libdevel optional libnm-glib-dev_0.9.4.0-9_amd64.deb
 bceb64f76d707047342f3c9c671d64ca 239096 libs optional libnm-glib-vpn1_0.9.4.0-9_amd64.deb
 a14feb2659fb6a2ea187ffea8c79d5b5 231738 libdevel optional libnm-glib-vpn-dev_0.9.4.0-9_amd64.deb
 c052f7b23076f734eeb2a3ba47f54618 331934 libs optional libnm-util2_0.9.4.0-9_amd64.deb
 12db346b419df7ac333f004c8820a77c 370626 libdevel optional libnm-util-dev_0.9.4.0-9_amd64.deb
 c26bae5daa88af0bbb757ea51f80a427 1725180 debug extra network-manager-dbg_0.9.4.0-9_amd64.deb
 1b786204001e0ea6a89a60473b878230 258990 introspection optional gir1.2-networkmanager-1.0_0.9.4.0-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBz/IAAoJEGrh3w1gjyLcatcP/3ynNUipgiWMNHCXA8aywZl3
jiG0KZHDcHPU9A2Kudo75BOvqZrWS4WS3LEppun3gHHNhfGQTeFYLwDjF6rtGlo0
GKJZDp8EASs/NpBb3PaL+fENdN7GMv/FZorF0nB4QdUvfjkub1wIPXuC/xOjvn6z
z1NkZwNFY5q7QN6vbQblp9dK/bu3JV3IpwTleRxmr7c42GxOwat+QTasRU9MDRsQ
vPvoahD9J2ZCBJRdbeYFO3AsMONEogyqwUn5HKAogjmchKnA0Fd7zfFEjsPSBDcs
c9btYw5Jy319s99rgQBZlhfF0Q1lcz84uXUNky1m5yeORFzU63fyP9Vc/Dl37tt1
iDOkNqPltHLCEnNSneHVtZ7BCA7pfBS4jIwrz83nt1wNUbgJTijmM9ZyBW64nyW5
q45kRFR+5F0kkAQ2w85j975wdE7JM3wVXH7VxMYX+o28o5OKLarC83bA8Ln7QOwm
WOINCufrgCvCeVz019UO0fE9wL7qPgGUviOZFC5CGiUmvzN1c2Y9pjiZEWhxsRUL
sy4Du+s+JZJwYdQHdArzrPyGb35XCh1aTbQ6iz5iNlyFZW7P7UWJhyAZzofSSeVk
aEdhtuwa/LSdDi38mu9S7rk6VTH7BvD8A63CwEJgUVhhDT8TlpZ1u2IZ6a4kjUQ9
SYute/f8pypf63AmVtHQ
=5hhc
-----END PGP SIGNATURE-----




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 03:36:12 GMT) Full text and rfc822 format available.

Notification sent to Paul Bryan Roberts <pbronline-debian@yahoo.co.uk>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 03:36:12 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 03:36:13 GMT) Full text and rfc822 format available.

Notification sent to Ossama Khayat <okhayat@yahoo.com>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 03:36:13 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 03:36:13 GMT) Full text and rfc822 format available.

Notification sent to Arianna Arianna <251arianna@gmail.com>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 03:36:13 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 03:36:14 GMT) Full text and rfc822 format available.

Notification sent to chuck adams <chuck.adams.k7qo@gmail.com>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 03:36:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:30:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:25:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.